Package com.verisign.epp.util

## Class EPPEnvSingle

- java.lang.Object
- - com.verisign.epp.util.Environment
  - - com.verisign.epp.util.EPPEnv
    - - com.verisign.epp.util.EPPEnvSingle

-     public class EPPEnvSingle
      extends EPPEnv

  Singleton class for `EPPEnv` that is used to get the configuration settings for the EPP SDK.

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.util.Environment

      `properties`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPEnvSingle` | `getInstance()` | Method to get the Singleton instance of `EPPEnvSingle`.

    - ### Methods inherited from class com.verisign.epp.util.EPPEnv

      `getClientHost, getClientSocketName, getCmdResponseExtensions, getConTimeOut, getFullSchemaChecking, getGreetingServerName, getKeyStore, getLoginAdapter, getMapFactories, getPollHandlers, getPollMessageFilter, getProtocolExtensions, getProxyServerLocator, getProxyServers, getProxyServersRandomize, getReadTimeOut, getRegistryPolicyAdapters, getSchemaCachingParserPoolSize, getSDKVersion, getSendReceiveLogger, getServerEPPAssembler, getServerEventHandlers, getServerName, getServerPort, getServerSocketName, getSSLDebug, getSSLEnabledCipherSuites, getSSLEnabledProtocols, getSSLKeyFileName, getSSLKeyManager, getSSLKeyPassPhrase, getSSLPassPhrase, getSSLProtocol, getSSLTrustStoreFileName, getSSLTrustStorePassPhrase, getTransformerPoolSize, getValidating, getXMLClientParserPoolSize, getXMLSignatureParserPoolSize, initialize, initialize, isContactRelaxedValidation, isUseEntityResolver, isUseUserAgent`

    - ### Methods inherited from class com.verisign.epp.util.Environment

      `envInitialize, envInitialize, getEnv, getOption, getProperty, getProperty, setProperties, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static EPPEnvSingle getInstance()

      Method to get the Singleton instance of `EPPEnvSingle`.
      Returns:
        an instance of `EPPEnvSingle`.